/* Includes ------------------------------------------------------------------*/
#include "main.h"
#include "HW_Configs.h"
#include "stm32f0xx_it.h"

//   ------------------------------------------------------

//   -----------------------------------------------------------
int32_t Xx;


//    ----------------------------------------

////////////////////////////////   /////////////////////////////////////////
int main(void)
{
//-------------------------------------------------------------------------------------
//    startup_stm32f0xx.s. 
//	 stm32f0xx.h  -  ,   ,  .
//	 system_stm32f0xx.c :
//		SystemInit() -  HSI,  .
//		SetSysClock() -   HSE.   ?
//-------------------------------------------------------------------------------------

	SYS_Config(); // ,   
	SCK_Config(); // 
	GPIO_Config(); //  
	DAC_Config();
	SPI_Config(); // 

	LRX_ON();
	DAC->DHR12R1 = 2048;

	while (1)
	{

		if ((uint16_t)(SPI1->SR & SPI_SR_RXNE) != (uint16_t)RESET)
		{
			DAC->DHR12R1 = SPI1->DR << 2; //     
			Xx = 100000;
			LRX_ON();
		}
		Xx--;
		if (Xx == 0) LRX_OFF(); //    -  

#ifdef W_DOG			//  
		IWDG_ReloadCounter(); //  
#endif
	}
}


/////////////////////////////////////////////////////////////////////////////////
#ifdef  USE_FULL_ASSERT 
void assert_failed(uint8_t* file, uint32_t line){
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

	TFT_DrawString("ASSERT !!", 194, 70, 1, BRIGHTRED);

	while (1)  {  }
}
#endif


